<?php
/**
 * About Section options
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */


$customizer_title = esc_html__( 'Latest Product','shopall-pro' );
$customizer_description = esc_html__( 'Latest Product Section options.', 'shopall-pro' );
if ( $options['home_layout'] == 'fourth-design' ) {
	$customizer_title = esc_html__( 'Featured Category','shopall-pro' );
	$customizer_description = esc_html__( 'Featured Category Section Options.', 'shopall-pro' );
}
// Add About section
$wp_customize->add_section( 'shopall_pro_latest_product_section', array(
	'title'             => $customizer_title,
	'description'       => $customizer_description,
	'panel'             => 'shopall_pro_front_page_panel',
) );

// About content enable control and setting
$wp_customize->add_setting( 'shopall_pro_theme_options[latest_product_section_enable]', array(
	'default'			=> 	$options['latest_product_section_enable'],
	'sanitize_callback' => 'shopall_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Shopall_Pro_Switch_Control( $wp_customize, 'shopall_pro_theme_options[latest_product_section_enable]', array(
	'label'             => $customizer_title.esc_html__( ' Enable', 'shopall-pro' ),
	'section'           => 'shopall_pro_latest_product_section',
	'on_off_label' 		=> shopall_pro_switch_options(),
) ) );


for ($i=1; $i <=4 ; $i++) { 
	$wp_customize->add_setting( 'shopall_pro_theme_options[latest_product_banner_image_' . $i . ']', array(
		'sanitize_callback' => 'shopall_pro_sanitize_image'
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'shopall_pro_theme_options[latest_product_banner_image_' . $i . ']',
			array(
			'label'       		=> sprintf( esc_html__( 'Banner Image %d', 'shopall-pro' ), $i ),
			'section'     		=> 'shopall_pro_latest_product_section',
			'active_callback'	=> 'shopall_pro_is_latest_product_section_enable',
	) ) );

	$wp_customize->add_setting( 'shopall_pro_theme_options[latest_product_banner_label_' . $i . ']', array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> $options['latest_product_banner_label_' . $i ],
	) );

	$wp_customize->add_control( 'shopall_pro_theme_options[latest_product_banner_label_' . $i . ']', array(
		'label'           	=>  sprintf( esc_html__( 'Banner Label %d', 'shopall-pro' ), $i ),
		'section'        	=> 'shopall_pro_latest_product_section',
		'active_callback' 	=> 'shopall_pro_is_latest_product_section_enable',
		'type'				=> 'text',
	) );

	$wp_customize->add_setting(  'shopall_pro_theme_options[latest_product_category_' . $i . ']', array(
		'sanitize_callback' => 'shopall_pro_sanitize_integers',
	) ) ;

	if ( $options['home_layout']  !== 'fourth-design' ) {
		$wp_customize->add_control( new Shopall_Pro_Dropdown_Taxonomies_Control( $wp_customize,'shopall_pro_theme_options[latest_product_category_' . $i . ']', array(
			'label'             => esc_html__( 'Select ', 'shopall-pro' ).$customizer_title,
			'description'      	=> esc_html__( 'Note: Press CTRL and select multiple category. Latest four posts will be shown from each selected category', 'shopall-pro' ),
			'section'           => 'shopall_pro_latest_product_section',
			'taxonomy'			=> class_exists('WooCommerce') ? 'product_cat' : 'category',
			'type'              => 'dropdown-taxonomies',
			'active_callback'	=> 'shopall_pro_is_latest_product_section_enable',
		) ) );
	}

	if ( $options['home_layout']  == 'fourth-design' ) {
		$wp_customize->add_control( new Shopall_Pro_Dropdown_Taxonomies_Control( $wp_customize,'shopall_pro_theme_options[latest_product_category_' . $i . ']', array(
			'label'             => esc_html__( 'Select ', 'shopall-pro' ).$customizer_title,
			'description'      	=> esc_html__( 'Note: Press CTRL and select multiple category. Latest four posts will be shown from each selected category', 'shopall-pro' ),
			'section'           => 'shopall_pro_latest_product_section',
			'taxonomy'			=> 'category',
			'type'              => 'dropdown-taxonomies',
			'active_callback'	=> 'shopall_pro_is_latest_product_section_enable',
		) ) );
	}
	

	$wp_customize->add_setting( 'shopall_pro_theme_options[latest_product_hr_'. $i .']', array(
		'sanitize_callback' => 'sanitize_text_field'
	) );

	$wp_customize->add_control( new Shopall_Pro_Customize_Horizontal_Line( $wp_customize, 'shopall_pro_theme_options[latest_product_hr_'. $i .']',
		array(
			'section'         => 'shopall_pro_latest_product_section',
			'active_callback' => 'shopall_pro_is_latest_product_section_enable',
			'type'			  => 'column'
	) ) );

}