<?php
$wp_customize->add_section( 'shopall_pro_subscription_section', array(
	'title'             => esc_html__( 'Subscription','shopall-pro' ),
	'description'       => esc_html__( 'Subscription Section options.', 'shopall-pro' ),
	'panel'             => 'shopall_pro_front_page_panel',
) );

// subscription content enable control and setting
$wp_customize->add_setting( 'shopall_pro_theme_options[subscription_section_enable]', array(
	'default'			=> 	$options['subscription_section_enable'],
	'sanitize_callback' => 'shopall_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Shopall_Pro_Switch_Control( $wp_customize, 'shopall_pro_theme_options[subscription_section_enable]', array(
	'label'             => esc_html__( 'Subscription Section Enable', 'shopall-pro' ),
	'section'           => 'shopall_pro_subscription_section',
	'on_off_label' 		=> shopall_pro_switch_options(),
) ) );




// subscription title setting and control
$wp_customize->add_setting( 'shopall_pro_theme_options[subscription_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'shopall_pro_theme_options[subscription_title]', array(
	'label'           	=> esc_html__( 'Title', 'shopall-pro' ),
	'section'        	=> 'shopall_pro_subscription_section',
	'active_callback' 	=> 'shopall_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'shopall_pro_theme_options[subscription_title]', array(
		'selector'            => '#subscribe-section h3.widget-title',
		'settings'            => 'shopall_pro_theme_options[subscription_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'shopall_pro_subscription_title_partial',
    ) );
}

// subscription sub title setting and control
$wp_customize->add_setting( 'shopall_pro_theme_options[subscription_sub_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_sub_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'shopall_pro_theme_options[subscription_sub_title]', array(
	'label'           	=> esc_html__( 'Sub Title', 'shopall-pro' ),
	'section'        	=> 'shopall_pro_subscription_section',
	'active_callback' 	=> 'shopall_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'shopall_pro_theme_options[subscription_sub_title]', array(
		'selector'            => '#subscribe-section #subscribe-text p',
		'settings'            => 'shopall_pro_theme_options[subscription_sub_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'shopall_pro_subscription_sub_title_partial',
    ) );
}

// subscription sub title setting and control
$wp_customize->add_setting( 'shopall_pro_theme_options[subscription_btn_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_btn_label'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'shopall_pro_theme_options[subscription_btn_label]', array(
	'label'           	=> esc_html__( 'Button Label', 'shopall-pro' ),
	'section'        	=> 'shopall_pro_subscription_section',
	'active_callback' 	=> 'shopall_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'shopall_pro_theme_options[subscription_btn_label]', array(
		'selector'            => '#subscribe-section #subscribe-submit button',
		'settings'            => 'shopall_pro_theme_options[subscription_btn_label]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'shopall_pro_subscription_btn_label_partial',
    ) );
}
