<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'shopall_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','shopall-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'shopall-pro' ),
	'panel'             => 'shopall_pro_front_page_panel',
) );

// topbar enable/disable control and setting
$wp_customize->add_setting( 'shopall_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'shopall_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Shopall_Pro_Switch_Control( $wp_customize, 'shopall_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'shopall-pro' ),
	'section'           => 'shopall_pro_topbar_section',
	'on_off_label' 		=> shopall_pro_switch_options(),
) ) );



$wp_customize->add_setting( 'shopall_pro_theme_options[topbar_title]', array(
    'default'           =>  $options['topbar_title'],
    'sanitize_callback' => 'wp_kses_post',
    'transport'			=> 'postMessage',
) );

$wp_customize->add_control('shopall_pro_theme_options[topbar_title]', array(
    'label'             => esc_html__( 'Topbar Text', 'shopall-pro' ),
    'section'           => 'shopall_pro_topbar_section',
    'type'              => 'textarea',
    'active_callback'   => 'shopall_pro_is_topbar_section_enable',
 ) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'shopall_pro_theme_options[topbar_title]', array(
		'selector'            => '#top-bar .wrapper span',
		'settings'            => 'shopall_pro_theme_options[topbar_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'shopall_pro_topbar_title_partial',
    ) );
}






