<?php
/**
 *
 * This is the template for the content of subscription section
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */
if ( ! function_exists( 'shopall_pro_add_subscription_section' ) ) :
    /**
    * Add about section
    *
    *@since Shopall Pro 1.0.0
    */
    function shopall_pro_add_subscription_section() {
    	$options = shopall_pro_get_theme_options();
        // Check if about is enabled on frontpage
        $subscription_enable = apply_filters( 'shopall_pro_section_status', true, 'subscription_section_enable' );

        if ( true !== $subscription_enable ) {
            return false;
        }
       

        // Render about section now.
        shopall_pro_render_subscription_section( );
    }
endif;


if ( ! function_exists( 'shopall_pro_render_subscription_section' ) ) :
  /**
   * Start about section
   *
   * @return string about content
   * @since Shopall Pro 1.0.0
   *
   */
   function shopall_pro_render_subscription_section( ) {
       
         if ( ! class_exists( 'Jetpack' ) ) {
            return;
        } elseif ( class_exists( 'Jetpack' ) ) {
            if ( ! Jetpack::is_module_active( 'subscriptions' ) )
                return;
        }
        $options = shopall_pro_get_theme_options();
        ?>
        <div id="subscribe-section" class="relative page-section">
            <div class="wrapper">
                <h3 class="widget-title"><?php echo esc_html( $options['subscription_title'] ); ?></h3>
                <div id="subscribe-text">
                    <p><?php echo esc_html( $options['subscription_sub_title'] ); ?></p>
                </div>             

                <?php 
                    $subscription_shortcode = '[jetpack_subscription_form title="" subscribe_text="" subscribe_button="' . esc_html( $options['subscription_btn_label'] ) . '" show_subscribers_total="0"]';
                    echo do_shortcode( wp_kses_post( $subscription_shortcode ) ); 
                ?>             
              
            </div><!-- .wrapper -->
        </div>

        <?php 
    }
endif;

            